﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace FlexGridCellEditors
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            List<Sales> salesList = new List<Sales>();
            Random rnd = new Random();
            for (int i = 1; i <= 13; i++)
            {
                Sales s = new Sales();
                s.Direction = (i < 7) ? "Inbound" : "Outbound";
                s.Region = (i < 3) ? "North" : (i < 7) ? "South" : (i < 10) ? "East" : "West";
                s.Q1 = rnd.Next(1000);
                s.Q2 = rnd.Next(1000);
                s.Q3 = rnd.Next(1000);
                s.Q4 = rnd.Next(1000);
                salesList.Add(s);
            }
            c1FlexGrid1.ItemsSource = salesList;

            //Use custom editor
            c1FlexGrid1.Columns["Q1"].CellEditingTemplate = (DataTemplate)this.Resources["c1FlexNumber"];
        }
    }

    public class Sales
    {
        public int GrandTotal;
        public string Direction { get; set; }
        public string Region { get; set; }
        public int Q1 { get; set; }
        public int Q2 { get; set; }
        public int Q3 { get; set; }
        public int Q4 { get; set; }
    }
}
